<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKListExpViewBase from './ibizbooklist-exp-view-base.vue';

import view_listexpbar from '@widgets/ibizbook/list-exp-viewlistexpbar-listexpbar/list-exp-viewlistexpbar-listexpbar.vue';
// 基于 @VIEW/实体列表导航视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_listexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKListExpView extends IBIZBOOKListExpViewBase {

}
</script>